(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['module', 'react', '../RichTextEditor.jsx', '@kadira/storybook', 'draft-js/dist/Draft.css', 'draft-js-emoji-plugin/lib/plugin.css', 'draft-js-linkify-plugin/lib/plugin.css', 'draft-js-hashtag-plugin/lib/plugin.css', 'draft-js-sticker-plugin/lib/plugin.css', 'draft-js-table-plugin/lib/plugin.css', 'draft-js-toolbar-plugin/lib/plugin.css', 'draft-js-undo-plugin/lib/plugin.css'], factory);
  } else if (typeof exports !== "undefined") {
    factory(module, require('react'), require('../RichTextEditor.jsx'), require('@kadira/storybook'), require('draft-js/dist/Draft.css'), require('draft-js-emoji-plugin/lib/plugin.css'), require('draft-js-linkify-plugin/lib/plugin.css'), require('draft-js-hashtag-plugin/lib/plugin.css'), require('draft-js-sticker-plugin/lib/plugin.css'), require('draft-js-table-plugin/lib/plugin.css'), require('draft-js-toolbar-plugin/lib/plugin.css'), require('draft-js-undo-plugin/lib/plugin.css'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod, global.react, global.RichTextEditor, global.storybook, global.Draft, global.plugin, global.plugin, global.plugin, global.plugin, global.plugin, global.plugin, global.plugin);
    global.RichTextEditor = mod.exports;
  }
})(this, function (module, _react, _RichTextEditor, _storybook) {
  'use strict';

  var _react2 = _interopRequireDefault(_react);

  var _RichTextEditor2 = _interopRequireDefault(_RichTextEditor);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  (0, _storybook.storiesOf)('RichTextEditor', module).add('With no props', function () {
    return _react2.default.createElement(_RichTextEditor2.default, {
      onClick: (0, _storybook.action)('clicked'),
      filePickerKey: 'AOjGcVFFjTZKCzBiqW7Oiz'
    });
  }).add('with a text', function () {
    return _react2.default.createElement(
      'button',
      { onClick: (0, _storybook.action)('clicked') },
      'My First Button'
    );
  }).add('With content', function () {
    var samplecontent = {
      'entityMap': {
        '0': {
          'type': 'IMAGE',
          'mutability': 'IMMUTABLE',
          'data': { 'src': 'https://cdn.filepicker.io/api/file/rfb0N5eSFaDqiqG7AQCg' }
        }
      },
      'blocks': [{
        'key': '8h0h9',
        'text': 'Sample text',
        'type': 'unstyled',
        'depth': 0,
        'inlineStyleRanges': [],
        'entityRanges': []
      }, {
        'key': '9ppjj',
        'text': ' ',
        'type': 'atomic',
        'depth': 0,
        'inlineStyleRanges': [],
        'entityRanges': [{ 'offset': 0, 'length': 1, 'key': 0 }]
      }, {
        'key': '4j6nb',
        'text': '',
        'type': 'unstyled',
        'depth': 0,
        'inlineStyleRanges': [],
        'entityRanges': []
      }]
    };
    return _react2.default.createElement(_RichTextEditor2.default, {
      content: samplecontent
    });
  });
});