import React from 'react';
import RichTextEditor from '../RichTextEditor.jsx';
import { storiesOf, action } from '@kadira/storybook';
import 'draft-js/dist/Draft.css';
import 'draft-js-emoji-plugin/lib/plugin.css';
import 'draft-js-linkify-plugin/lib/plugin.css';
import 'draft-js-hashtag-plugin/lib/plugin.css';
import 'draft-js-sticker-plugin/lib/plugin.css';
import 'draft-js-table-plugin/lib/plugin.css';
import 'draft-js-toolbar-plugin/lib/plugin.css';
import 'draft-js-undo-plugin/lib/plugin.css';

storiesOf('RichTextEditor', module)
  .add('With no props', () => (
    <RichTextEditor
      onClick={action('clicked')}
      filePickerKey='AOjGcVFFjTZKCzBiqW7Oiz'
    />
  ))
  .add('with a text', () => (
    <button onClick={action('clicked')}>My First Button</button>
  ))
  .add('With content', () => {
    const samplecontent = {
      'entityMap': {
        '0': {
          'type': 'IMAGE',
          'mutability': 'IMMUTABLE',
          'data': { 'src': 'https://cdn.filepicker.io/api/file/rfb0N5eSFaDqiqG7AQCg' }
        }
      },
      'blocks': [
        {
          'key': '8h0h9',
          'text': 'Sample text',
          'type': 'unstyled',
          'depth': 0,
          'inlineStyleRanges': [],
          'entityRanges': []
        },
        {
          'key': '9ppjj',
          'text': ' ',
          'type': 'atomic',
          'depth': 0,
          'inlineStyleRanges': [],
          'entityRanges': [ { 'offset': 0, 'length': 1, 'key': 0 } ]
        },
        {
          'key': '4j6nb',
          'text': '',
          'type': 'unstyled',
          'depth': 0,
          'inlineStyleRanges': [],
          'entityRanges': []
        }
      ]
    };
    return (
      <RichTextEditor
        content={samplecontent}
      />
    )
  });